> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Place order

> Place a normal stock order.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml post /akhlys/v1/accounts/{accountNo}/orders
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /akhlys/v1/accounts/{accountNo}/orders:
    post:
      summary: Place order
      description: Place a normal stock order.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Account number, e.g. 0001170730.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                execType:
                  allOf:
                    - $ref: '#/components/schemas/StockOrderDirection'
                  description: 'Trading direction: NS = sell, NB = buy.'
                symbol:
                  type: string
                  description: Stock symbol, e.g. VNM.
                priceType:
                  allOf:
                    - $ref: '#/components/schemas/StockPriceType'
                  description: 'Price type: LO, ATO, ATC, PLO, MP, MTL, MOK, MAK.'
                price:
                  type: integer
                  format: int64
                  description: Trading price.
                quantity:
                  type: integer
                  format: int64
                  description: Trading quantity.
              required:
                - execType
                - symbol
                - priceType
                - price
                - quantity
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error code, 0 = success.
                  message:
                    type: string
                    description: Result message.
                  orderId:
                    type: string
                    description: Created order ID.
components:
  schemas:
    StockOrderDirection:
      type: string
      description: 'Chiều giao dịch lệnh cơ sở: NS = bán, NB = mua.'
      enum:
        - NS
        - NB
    StockPriceType:
      type: string
      description: 'Loại giá lệnh cơ sở: LO, ATO, ATC, PLO, MP, MTL, MOK hoặc MAK.'
      enum:
        - LO
        - ATO
        - ATC
        - PLO
        - MP
        - MTL
        - MOK
        - MAK
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.